openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/LXE_PC1_XML_RFC_IMPORT_EXT:
    post:
      tags:
      - LXE_PC1
      operationId: /rfc/LXE_PC1_XML_RFC_IMPORT_EXT
      requestBody:
        content:
          application/json:
            schema:
              properties:
                COLLNAM:
                  type: string
                  maxLength: 32
                CUSTMNR:
                  type: string
                  maxLength: 6
                DESCRIPT:
                  type: string
                  maxLength: 255
                DEVELOPER:
                  type: string
                  maxLength: 255
                DOMANAM:
                  type: string
                  maxLength: 2
                LANGUAGE:
                  type: string
                  maxLength: 4
                OBJNAME:
                  type: string
                  maxLength: 70
                SAVE_TO_DB:
                  type: string
                  default: X
                  maxLength: 1
                Z_OBJTYPE:
                  type: string
                  default: ''
                  maxLength: 4
                Z_TEXTKEY:
                  type: string
                  default: ''
                  maxLength: 32
                Z_XSTRING:
                  type: string
                  format: byte
                  default: ''
                IN_PCX_TX_XML:
                  type: array
                  items:
                    type: object
                    properties:
                      OBJTYPE:
                        type: string
                        maxLength: 4
                        description: Type of Translation Object
                      TEXTKEY:
                        type: string
                        maxLength: 32
                        description: Text Key
                      TEXT:
                        type: string
                        maxLength: 255
                        description: Translation Unit for Short Text (Line)
                      UNITMLT:
                        type: integer
                        format: int32
                        description: Maximum Length of Translation Unit
                      UPPCASE:
                        type: string
                        maxLength: 1
                        description: 'Only Upper Case Allowed  enumValues: X=TRUE,""=FALSE'
                        enum:
                        - X
                        - ''
                IN_PCY_TX_XML:
                  type: array
                  items:
                    type: object
                    properties:
                      OBJTYPE:
                        type: string
                        maxLength: 4
                        description: Type of Translation Object
                      TEXTKEY:
                        type: string
                        maxLength: 32
                        description: Text Key
                      TEXT:
                        type: string
                        maxLength: 16384
                        description: Text with 16384 Characters
                IN_PC_AP_XML:
                  type: array
                  items:
                    type: object
                    properties:
                      TEXTKEY:
                        type: string
                        maxLength: 32
                        description: Text Key
                      TEXT:
                        type: string
                        maxLength: 255
                        description: Translation Unit for Short Text (Line)
              required:
              - COLLNAM
              - CUSTMNR
              - DESCRIPT
              - DEVELOPER
              - DOMANAM
              - LANGUAGE
              - OBJNAME
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ERR_MESS:
                    type: string
                  PSTATUS:
                    type: string
                    maxLength: 1
                  IN_PCX_TX_XML:
                    type: array
                    items:
                      type: object
                      properties:
                        OBJTYPE:
                          type: string
                          maxLength: 4
                          description: Type of Translation Object
                        TEXTKEY:
                          type: string
                          maxLength: 32
                          description: Text Key
                        TEXT:
                          type: string
                          maxLength: 255
                          description: Translation Unit for Short Text (Line)
                        UNITMLT:
                          type: integer
                          format: int32
                          description: Maximum Length of Translation Unit
                        UPPCASE:
                          type: string
                          maxLength: 1
                          description: 'Only Upper Case Allowed  enumValues: X=TRUE,""=FALSE'
                          enum:
                          - X
                          - ''
                  IN_PCY_TX_XML:
                    type: array
                    items:
                      type: object
                      properties:
                        OBJTYPE:
                          type: string
                          maxLength: 4
                          description: Type of Translation Object
                        TEXTKEY:
                          type: string
                          maxLength: 32
                          description: Text Key
                        TEXT:
                          type: string
                          maxLength: 16384
                          description: Text with 16384 Characters
                  IN_PC_AP_XML:
                    type: array
                    items:
                      type: object
                      properties:
                        TEXTKEY:
                          type: string
                          maxLength: 32
                          description: Text Key
                        TEXT:
                          type: string
                          maxLength: 255
                          description: Translation Unit for Short Text (Line)
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
